"{ Package: 'stx:goodies/newcompiler' }"

IRInstruction subclass:#IRJump
	instanceVariableNames:'destination'
	classVariableNames:''
	poolDictionaries:''
	category:'NewCompiler-IR'
!

IRJump comment:'Instruction "goto: labelNum"'
!


!IRJump methodsFor:'accessing'!

destination

	^ destination
!

destination: aSequence

	destination := aSequence
!

successorSequences

	^ {destination}
! !

!IRJump methodsFor:'interpret'!

executeOn: interpreter

	^ interpreter goto: destination orderNumber
! !

!IRJump methodsFor:'testing'!

isGoto
	"is unconditional jump"

	^ true
!

isJump
	"goto or if"

	^ true
! !

!IRJump class methodsFor:'documentation'!

version
    ^'$Id$'
! !
