"{ Package: 'stx:goodies/newcompiler' }"

IRInstruction subclass:#IRReturn
	instanceVariableNames:'isRemote'
	classVariableNames:''
	poolDictionaries:''
	category:'NewCompiler-IR'
!

IRReturn comment:'Instruction "returnTop" or "remoteReturn"'
!


!IRReturn methodsFor:'accessing'!

isRemote

	^ isRemote
!

isRemote: boolean

	isRemote := boolean
! !

!IRReturn methodsFor:'interpret'!

executeOn: interpreter

	^ isRemote
		ifTrue: [interpreter remoteReturn]
		ifFalse: [interpreter returnTop]
! !

!IRReturn methodsFor:'testing'!

isReturn

	^ true
! !

!IRReturn class methodsFor:'documentation'!

version
    ^'$Id$'
! !
