"{ Package: 'stx:goodies/newcompiler' }"

IRReturn subclass:#IRBlockReturnTop
	instanceVariableNames:'successor'
	classVariableNames:''
	poolDictionaries:''
	category:'NewCompiler-IR'
!


!IRBlockReturnTop methodsFor:'accessing'!

successor: anObject

	successor := anObject. 
!

successorSequences
	"sent to last instruction in sequence which is expected to be a jump and return instruction"

	^  { successor }
! !

!IRBlockReturnTop methodsFor:'interpret'!

executeOn: interpreter
	interpreter blockReturnTop.
! !

!IRBlockReturnTop methodsFor:'testing'!

isBlockReturnTop

	^true.
!

isRemote
	^false.
! !

!IRBlockReturnTop class methodsFor:'documentation'!

version
    ^'$Id$'
! !
