"{ Package: 'stx:goodies/newcompiler' }"

IRJump subclass:#IRJumpOverBlock
	instanceVariableNames:'blockSequence'
	classVariableNames:''
	poolDictionaries:''
	category:'NewCompiler-IR'
!


!IRJumpOverBlock methodsFor:'accessing'!

blockSequence
	^blockSequence
!

blockSequence: instr
	blockSequence := instr.
!

successorSequences

    ^ Array with: destination with: blockSequence

    "Modified: / 11-06-2008 / 13:31:19 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!IRJumpOverBlock methodsFor:'interpret'!

executeOn: interpreter
	^ interpreter jumpOverBlock:  blockSequence orderNumber to: destination orderNumber
! !

!IRJumpOverBlock methodsFor:'testing'!

isJumpOverBlock
	^true.
! !

!IRJumpOverBlock class methodsFor:'documentation'!

version
    ^'$Id$'
! !
